#include "timer.h"
#include "io.h"

static uint64_t __time_us;
static uint64_t __delta_time_us;

void micro_sleep(int x)
{
	#ifdef __linux__
		usleep(x);
	#else
		unsigned long xx=micros();
		while(micros()<=xx+x);
	#endif
}

void 			timer_init()
{
	__time_us=0;
}

uint64_t 	get_time_us()
{
	return micros();
}


void 			set_delta()
{
	__delta_time_us=__time_us;
}

uint64_t 	get_delta()
{
	return __time_us-__delta_time_us;
}
